#
# spec file for package kdevelop4
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kdevelop4
Version:        4.7.3
Release:        3.15
Summary:        Integrated Development Environment for the X Window System, Qt, KDE, and GNOME
License:        GPL-3.0+
Group:          Development/Tools/IDE
Url:            http://www.kdevelop.org
Source0:        http://download.kde.org/stable/kdevelop/%{version}/src/kdevelop-%{version}.tar.bz2
Source1:        missing-translations.tar.xz
# PATCH-FIX-UPSTREAM fix-for-null-pointer-dereference-with-gcc6.patch kde#360707
Patch1:         fix-for-null-pointer-dereference-with-gcc6.patch
BuildRequires:  fdupes
# SLE12 doesn't have kdebase4-workspace[-devel]
%if 0%{?suse_version} != 1315 || 0%{?is_opensuse}
BuildRequires:  kdebase4-workspace-devel
%else
BuildRequires:  libkde4-devel
%endif
BuildRequires:  libkdevplatform4-devel >= 1.7.3
BuildRequires:  libqjson-devel
# Catch 13.2, but not Leap nor SLE12
%if 0%{?suse_version} <= 1320 && ! 0%{?is_opensuse} && 0%{?suse_version} != 1315
BuildRequires:  okteta-devel
%endif
BuildRequires:  valgrind-devel
BuildRequires:  xz
Requires:       %{name}-lang = %{version}
Requires:       kdevelop4-cpp-parser
Requires:       libktexteditor
# The kdevelop c++ parser is better for the moment
Recommends:     kdevelop4-plugin-cppsupport
Recommends:     cmake
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires(post):     shared-mime-info
Requires(postun):   shared-mime-info
%kde4_runtime_requires

%description
An integrated development environment (IDE) that allows you to write
programs for the X Window System, the Qt library, or KDE. It includes a
documentation browser, a source code editor with syntax highlighting, a
GUI for the compiler, and much more.

%package devel
Summary:        Integrated Development Environment: Build Environment
License:        GPL-2.0+
Group:          Development/Tools/IDE
Requires:       kdevelop4 = %{version}

%description devel
An integrated development environment (IDE) that allows you to write
programs for the X Window System, the Qt library, or KDE. It includes a
documentation browser, a source code editor with syntax highlighting, a
GUI for the compiler, and much more.

%package doc
Summary:        KDE Integrated Development Environment: Documentation
License:        GPL-2.0+
Group:          Development/Tools/IDE
Requires:       kdevelop4 = %{version}

%description doc
An integrated development environment (IDE) that allows you to write
programs for the X Window System, the Qt library, or KDE. It includes a
documentation browser, a source code editor with syntax highlighting, a
GUI for the compiler, and much more.

%package -n kdevelop4-plugin-cppsupport
Summary:        C++ Language support plugin
License:        GPL-2.0+
Group:          Development/Tools/IDE
Requires:       kdevelop4 = %{version}
Provides:       kdevelop4-cpp-parser
Conflicts:      otherproviders(kdevelop4-cpp-parser)

%description -n kdevelop4-plugin-cppsupport
This package provides the C++ support for KDevelop.
There is also an experimental version available using clang.
If you would like to try that out install kdevelop4-plugin-clang instead

%lang_package
%prep
%setup -q -n kdevelop-%{version}
%if 0%{?suse_version} > 1320
%patch1 -p1
%endif
%if 0%{?suse_version} <= 1320 && !0%{?is_opensuse}
# fix build with older cmake versions (i.e. on 13.2 and below) by
# readding "cmake_policy(SET CMP0002 OLD)" to po/CMakeLists.txt
# (was in there before but has been removed in 4.7.3)
sed -i -e "1s/^/cmake_policy(SET CMP0002 OLD)\n/" po/CMakeLists.txt
%endif

# some translation files are missing in 4.7.3
tar xJf %{S:1}

%build
  %cmake_kde4 -d build
  %make_jobs

%install
  %kde4_makeinstall -C build
  %kde_post_install

  %fdupes -s %{buildroot}

  %find_lang kdevcmake %{name}.lang
  %find_lang kdevcmakebuilder %{name}.lang
  %find_lang kdevcpp %{name}.lang
  %find_lang kdevcustombuildsystem %{name}.lang
  %find_lang kdevcustommake %{name}.lang
  %find_lang kdevelop %{name}.lang
  %find_lang kdevexecuteplasmoid %{name}.lang
  %find_lang kdevformatters %{name}.lang
  %find_lang kdevgdb %{name}.lang
  %find_lang kdevghprovider %{name}.lang
  %find_lang kdevkdeprovider %{name}.lang
  %find_lang kdevmakebuilder %{name}.lang
  %find_lang kdevmanpage %{name}.lang
  %find_lang kdevninja %{name}.lang
  %find_lang kdevokteta %{name}.lang
  %find_lang kdevqthelp %{name}.lang
  %find_lang plasma_applet_kdevelopsessions %{name}.lang
  %find_lang plasma_runner_kdevelopsessions %{name}.lang

%post
/sbin/ldconfig
%mime_database_post

%postun
/sbin/ldconfig
%mime_database_postun

%files lang -f %{name}.lang
%defattr(-,root,root)
%exclude %{_kde4_htmldir}/en/kdevelop/

%files devel
%defattr(-,root,root)
%{_kde4_appsdir}/cmake/modules/FindKDevelop.cmake
%{_kde4_includedir}/kdevelop/

%files doc
%defattr(-,root,root,-)
%doc %lang(en) %{_kde4_htmldir}/en/kdevelop/

%files -n kdevelop4-plugin-cppsupport
%defattr(-,root,root)
%{_kde4_servicesdir}/kdevcppsupport.desktop
%{_kde4_modulesdir}/kdevcpplanguagesupport.so
%{_kde4_libdir}/libkdev4cppduchain.so
%{_kde4_libdir}/libkdev4cppparser.so
%{_kde4_libdir}/libkdev4cpprpp.so
%{_kde4_appsdir}/kdevcppsupport/

%files
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.LIB
%dir %{_kde4_appsdir}/plasma
%dir %{_kde4_appsdir}/plasma/plasmoids

%{_kde4_applicationsdir}/kdevelop.desktop
%{_kde4_applicationsdir}/kdevelop_ps.desktop

%{_kde4_appsdir}/kdevappwizard/
%{_kde4_appsdir}/kdevcodegen/
%{_kde4_appsdir}/kdevcustommakemanager/
%{_kde4_appsdir}/kdevelop/
%{_kde4_appsdir}/kdevfiletemplates/
%{_kde4_appsdir}/kdevgdb/
%{_kde4_appsdir}/kdevmanpage/
# Catch 13.2, but not Leap nor SLE12
%if 0%{?suse_version} <= 1320 && ! 0%{?is_opensuse} && 0%{?suse_version} != 1315
%{_kde4_appsdir}/kdevokteta/
%endif
%{_kde4_appsdir}/plasma/plasmoids/kdevelopsessions/
%{_kde4_appsdir}/plasma/services/org.kde.plasma.dataengine.kdevelopsessions.operations

%{_kde4_bindir}/kdevelop
%{_kde4_bindir}/kdevelop!

%{_kde4_configdir}/kdeveloprc
%{_kde4_configdir}/kdevelop-qthelp.knsrc

%{_kde4_datadir}/mime/packages/kdevelop.xml

%{_kde4_iconsdir}/*

%{_kde4_libdir}/libkdev4cmakecommon.so
%{_kde4_libdir}/libkdevcompilerprovider.so

%{_kde4_modulesdir}/kcm_kdev*.so
%{_kde4_modulesdir}/kdev*.so
%{_kde4_modulesdir}/krunner_kdevelopsessions.so
%{_kde4_modulesdir}/plasma_engine_kdevelopsessions.so
%{_kde4_servicesdir}/kcm_kdev*
%{_kde4_servicesdir}/kdev*
%{_kde4_servicesdir}/plasma-*-kdev*.desktop

# These files are now provided by kdevelop4-plugin-cppsupport
%exclude %{_kde4_servicesdir}/kdevcppsupport.desktop
%exclude %{_kde4_modulesdir}/kdevcpplanguagesupport.so
%exclude %{_kde4_libdir}/libkdev4cppduchain.so
%exclude %{_kde4_libdir}/libkdev4cppparser.so
%exclude %{_kde4_libdir}/libkdev4cpprpp.so
%exclude %{_kde4_appsdir}/kdevcppsupport/

%changelog
* Wed Aug 24 2016 cgiboudeaux@gmx.com
- BuildRequire libkdevplatform4-devel instead of the Qt5 based one.
* Thu Jun 23 2016 buschmann23@opensuse.org
- add fix-for-null-pointer-dereference-with-gcc6.patch to fix bug
  kde#360707 on openSUSE Tumbleweed / GCC6
* Sun May 15 2016 hrvoje.senjan@gmail.com
- Use share-mime-info macros (boo#979301)
* Thu Feb 11 2016 wbauer@tmo.at
- Added missing-translations.tar.xz as source which contains
  missing translation files (taken from 4.7.2)
* Tue Jan 26 2016 wbauer@tmo.at
- Update to 4.7.3
  * No upstream changelog provided
  * Bugfix release
- Bump libkdevplatform-devel BuildRequires to 1.7.3
* Tue Dec  1 2015 wbauer@tmo.at
- Update to 4.7.2
  * No upstream changelog provided
  * Bugfix release
- Drop Do-not-use-function-returning-reference-to-temporary.patch,
  included upstream
* Fri Oct  9 2015 alarrosa@suse.com
- Modified BuildRequires to allow kdevelop4 to build in SLE12
* Wed Sep 30 2015 lbeltrame@kde.org
- Fix version conditions to ensure that the package builds
  on Leap
* Wed Aug 26 2015 wbauer@tmo.at
- Remove requirement on kate4-parts to make the package installable
  on 13.1 and 13.2 again. kate4-parts is the only provider of
  libktexteditor in Tumbleweed anyway, so the "Requires: libktexteditor"
  should be sufficient. (boo#943213)
* Thu Aug 20 2015 wbauer@tmo.at
- Add Do-not-use-function-returning-reference-to-temporary.patch
  from upstream: fixes crashes in the cppsupport plugin when built
  with newer gcc (boo#942358, kde#347178)
* Mon Jul 13 2015 tittiatcoke@gmail.com
- Explicitly require kate4-parts to get libktexteditor installed.
* Tue May 19 2015 hrvoje.senjan@gmail.com
- BuildRequire okteta-devel only for openSUSE <= 13.2
* Fri Mar 13 2015 hrvoje.senjan@gmail.com
- Require libktexteditor instead of kate, that package provides
  plugins used by kdevelop, and allows co-installability of kate5
  and kdevelop4
* Tue Feb 10 2015 lbeltrame@kde.org
- Update to 4.7.1
  * No upstream changelog provided
  * Bugfix release
* Wed Nov 12 2014 Led <ledest@gmail.com>
- fix bashisms in post/postun scripts
* Wed Nov 12 2014 cgiboudeaux@gmx.com
- Split the cpp support from the kdevelop4 package.
  The cpp and Clang plugins are mutually exclusive. Moving the cpp
  plugin to its own package allows installing the experimental
  clang package.
- Fix some rpmlint warnings
* Wed Aug 27 2014 hrvoje.senjan@gmail.com
- Update to 4.7.0
  * No upstream changelog provided
  * Last feature release based on kdelibs4 and Qt4
- Bump libkdevplatform-devel BuildRequires to 1.7.0
* Sat Dec  7 2013 cgiboudeaux@gmx.com
- Update to 4.6.0. No changelog was provided
* Thu Oct 31 2013 dmitry_r@opensuse.org
- Update to version 4.5.2
  * Make qt4.py compatible with Python 3.x
  * Backport crash fixes for crash in Cpp TypeBuilder.
  * When calling a constructor don't offer deleted ones for completion
  * Do not offer explicitely deleted methods for code completion
  * Do not insert spaces in function definition after void or type with no argument name
  * Fix missing break in the c++ parser
  * Fix build on big endian plattforms.
  * Fix endless recursion in setSpecializedFrom
  * Fix usage of PushValue for recursion counters in TemplateDeclaration.
  * Gracefully react to a lack of a working directory
  * cpp_header.h: Conditionally add license header
  * Don't run an execute process command if the working dir is unknown
  * Don't use the items after calling ::removeUrl
  * Fix overloaded-virtual of computeCompletions.
  * RETURN() also works with find_package() and include()
  * Support return statement
  * Update global vars when visiting set(..CACHE..FORCE) AST node
  * Verify validity of type after deserialization from the storage.
  * take() variables when they go out of scope
  * Correct Basic C++ Template
  * Fix builds for okteta in a separate prefix
* Thu May 30 2013 dmitry_r@opensuse.org
- Update to version 4.5.1
  * Fix crash while completing null types
  * Do not offer signature assistant for changes in Qt signals.
  * Raise kdelibs dependency to 4.7
  * Fix conversion from QByteArray to QString
  * Don't crash if we run list(FIND) without a find element
  * Fix cmake icon sizes
  * Don't store a ProjectBaseItem in the MakeJob
  * New implementation for get_filename_component(PATH)
  * Remove erroneous double-quotes around %%c in Exec line
  * Add missing msg extraction
* Tue Apr 30 2013 toddrme2178@gmail.com
- Added missing libqjson-devel buildrequires.
  The build was complaining about not being able to find this.
* Fri Apr 26 2013 dmitry_r@opensuse.org
- Update to version 4.5.0
  * Unit tests improvements
  * New file/project templates support
  * C++ support improvements
  * User interface polishing
* Mon Dec  3 2012 dmitry_r@opensuse.org
- Update to 4.4.1
  * Skip varibles when parsing Makefile for targets.
  * Fix code completion: We used to hide const getter functions if they have a Q_PROPERTY of the same name.
  * Call ::repaint explicitly on the QSplashScreen after showing it.
  * Fix c++ completion bug: don't insert "::::"
  * Don't crash when calling string(TOLOWER, TOUPPER or LENGTH) with too few arguments
  * update splash to say v4.4
  * Put the recent projects in a button+menu instead of a list
  * Fix build on PPC.
* Sun Nov  4 2012 mailaender@opensuse.org
- update to 4.4.0
  * Fix bug in signature assistant. Tested in master.
  * Fix auto type-deduction for cases like 'auto foo(bar);'.
  * Extend unit test
  * Improve properties fetching
* Tue Sep 25 2012 coolo@suse.com
- buildrequire explicit version of kdevplatform
* Mon Sep 10 2012 wstephenson@suse.com
- Update to 4.3.90 (4.4RC1)
  * kdevelop_attach renamed to "kdevelop!"
  * Fix auto type-deduction for cases like 'auto a(1.1);'.
  * Move plain Qt application templates into a Qt category
  * Add Thread and Frame Information on Execution
  * Improve the way we map to cmake's variables model
  * support multiple location breakpoints
  * Fix threading problem in the CMakeManager
  * add support for padding parenthesis headers
  * Improve KDev's Dashboard projects' names
  * Properly add the build directory
  * Properly initialize CMAKE_INCLUDE_CURRENT_DIR
  * Explicitly disable "Apply" button after re-reading CMake cache.
  * Be less strict about named and unnamed arguments.
  * Let the OutputView take ownership of the make output delegate.
  * Directly set the model's data when we toggle a checkbox.
  * Don't call load() in our ctor, that is done automatically.
  * Don't tell the user the make config has changed when he first sees it.
  * Fix memory leaks of Ui objects.
  * Don't use raw Declaration pointers across unlocked DUChain code paths.
* Tue Apr 17 2012 wstephenson@suse.com
- Update to 4.3.1
  * Bugfixes in C++ support
* Fri Mar 23 2012 idonmez@suse.com
- Change license to GPL-3.0+ per discussion in bnc#753628
* Tue Mar 13 2012 wstephenson@suse.com
- update to 4.3.0
  * add c++11 support
  * improved clang support
  * improved session management
  * many bug fixes
* Thu Nov 10 2011 ctrippe@opensuse.org
- Require kate as it is a runtime dependency (bnc#729168)
* Thu Oct 13 2011 toddrme2178@gmail.com
- Removed commented files (fix for RPMLINT warning)
- Added valgrind buildrequires
- Cleaned up spec file formatting
* Mon Jun 27 2011 javier@opensuse.org
- update to 4.2.3 bugfix release
* Sat Apr 16 2011 javier@opensuse.org
- update to 4.2.2 bugfix release
* Thu Feb 17 2011 wstephenson@novell.com
- call update-mime-database in pre/post install scripts
* Mon Jan 24 2011 wstephenson@novell.com
  * update to 4.2.0 final:
  * Ported to Kate MovingCursors and MovingRanges apis
  * Improved Search and Replace in multiple files
  * Better embedded developer documentation including .qch support
  * Better handling of locked sessions
  * Improved look-and-feel for code assistants
  * Filter added to the Projects toolview
  * A much improved Problems toolview, which now tracks TODO and
    FIXME comments as well
  * Improved standards compliancy for the C++ macro support
  * Improvements to file and folder handling, in particular for
    CMake support
  * Improvements to file and folder handling, in particular for
    CMake support
* Sat Jan 15 2011 wstephenson@novell.com
- update to 4.1.90 (4.2RC1)
  * Fix duplicate brackets insertion when executing completion
    for a function.
  * CMakeDUChainTest: store ranges in QSet instead of std::set.
  * fixes the cmakeduchaintest: a list of uses is checked to see
    if they're all there, that's a set operation, the test failed,
    because the lists where in the `wrong' order
  * Fix token-names for GeneratorTest
  * Don't look for kdevelop in gitorious anymore.
  * Ignore the 'build' directory.
  * Don't add to the tree unexisting directories.
* Wed Jan 12 2011 ctrippe@gmx.net
- BuildRequire okteta-devel to build the okteta plugin (bnc#656174)
* Sun Nov 21 2010 tittiatcoke@gmail.com
- Update to a new git snapshot to enable build on KDE 4.6 Beta 1
* Tue Oct 19 2010 wstephenson@novell.com
- update to 4.1.0, require kdevplatform 1.1.0
  * fix custommake manager crashes when deleting, renaming folders
  * optimize: no need to call moveBehindComment if we found a last #include, just put include after that
  * finally fix the missing include item placement...
  * place includes/forward declarations after defines or comments if no empty line is found
  * properly add include/forward definition at start of document when we don't find a position after that
  * Check cached variables from conditionals too.
  * Make it possible to reload CMakeFolders that don't have a cmakelists.txt (because it has been removed).
    Improve responsibity on file removal. Reload project branch when a CMakeLists.txt file was removed.
  * use system colors instead of hardcoded colors in GDB command line toolview
  * set focus on filter lineedit by default in 'attach to process' dialog
  * properly read debugger state when adding output widget after debug process was started
  * Test the option command works properly with the cache.
  * Fix project reloading when the cache is dirty.
  * Don't set the variable in case it's already specified on the cache.
  * Reload the project whenever the CMakeCache is modified.
  * let view take ownership of widgets, prevents leakage and crashes
  * CMake support: avoid infinite loop on foreach(RANGE) that never runs.
  * Make it possible to parse properly projects with empty CMakeLists.txt files.
    Don't add the cmake project root directory two times to the watcher.
* Sun Jul 18 2010 beineri@opensuse.org
- update to 4.0.1 bugfix release
* Sat May  1 2010 tittiatcoke@gmail.com
- update to 4.0 final
  * convert the mimetype definition to the XDG format and remove
    the old KDE 3 definition
  * Fix crash when attachMaybe is called a second time before the
    first -var-create call returned (bko#219570)
  * Hide broken option "Use separate terminal for I/O" for now.
    (bko#235335)
  * Don't follow recursive make calls if the working directory
    didn't change (bko#232972)
  * Add a maximum depth for recursive make calls (bko#232972)
  * More precisely search the scopes for external class definitions.
    (bko#204100)
  * Make the include-paths unique before computing a list of shown
    items. (bko#202321)
  * Provide a stub implementation of __builtin_offsetof that allows
    correct use-building for the member (bko#187046)
  * Add a zero-check after locking the duchain, to prevent a rare
    crash. (bko#231790)
* Sat Apr 17 2010 wstephenson@novell.com
- update to 3.10.2 (4.0 RC 3)
-
* Fri Apr 16 2010 wstephenson@novell.com
- update to 3.10.1 (4.0 RC 2)
* Tue Apr  6 2010 wstephenson@novell.com
- update to 3.10.0 (4.0 RC 1)
* Tue Mar  9 2010 wstephenson@suse.de
- update to 3.9.99 (4.0 Beta 9)
* Fri Feb 12 2010 tittiatcoke@gmail.com
- update to 3.9.98 (4.0 Beta 8)
* Tue Dec 15 2009 tittiatcoke@gmail.com
- update to 3.9.97 (4.0 Beta 7)
* Tue Nov  3 2009 beineri@opensuse.org
- update to 3.9.96 (4.0 Beta 6)
* Fri Aug 21 2009 beineri@opensuse.org
- update to 3.9.95 (4.0 Beta 5)
* Sun Jun 28 2009 binner@kde.org
- update to 3.9.94
* Sun May 24 2009 beineri@opensuse.org
- update to 3.9.93
* Wed Feb  4 2009 dmueller@suse.de
- update to 3.9.91
* Wed Jan 14 2009 stbinner@suse.de
- update to 3.9.85
* Sat Dec 13 2008 dmueller@suse.de
- update to 3.9.84
* Sat Nov 22 2008 stbinner@suse.de
- update to 3.9.83
* Sun Nov  9 2008 stbinner@suse.de
- update to 3.9.82
* Tue May 27 2008 dmueller@suse.de
- update to KDevelop 4.0 Alpha2
* Wed May 21 2008 dmueller@suse.de
- update to 4.0.80
* Thu May 15 2008 dmueller@suse.de
- update to 4.0.74
* Wed May  7 2008 dmueller@suse.de
- update to 4.0.73
* Wed Apr 30 2008 dmueller@suse.de
- update to 4.0.72
* Thu Apr 24 2008 dmueller@suse.de
- update to 4.0.71
* Fri Apr 18 2008 dmueller@suse.de
- update to 4.0.70
* Thu Apr 10 2008 dmueller@suse.de
- update to 4.0.69
* Wed Apr  2 2008 dmueller@suse.de
- update to 4.0.68
* Tue Mar 25 2008 dmueller@suse.de
- update to 4.0.67
* Thu Mar 13 2008 dmueller@suse.de
- update to 4.0.66
* Thu Mar  6 2008 dmueller@suse.de
- update to 4.0.65
* Thu Feb 28 2008 dmueller@suse.de
- update to 4.0.64
* Thu Feb 21 2008 dmueller@suse.de
- update to 4.0.63
* Thu Feb 14 2008 dmueller@suse.de
- update to 4.0.62
* Thu Feb  7 2008 dmueller@suse.de
- update to 4.0.61
* Mon Jan 28 2008 stbinner@suse.de
- update to 4.0.svn767806
* Thu Jan  3 2008 stbinner@suse.de
- update to 3.97.2.svn755992
* Fri Dec 21 2007 stbinner@suse.de
- fix file list
* Thu Dec 20 2007 stbinner@suse.de
- update to 3.97.1.svn749241
* Wed Nov 28 2007 dmueller@suse.de
- update to 3.96.0.svn742648
* Sat Nov 24 2007 dmueller@suse.de
- update to 3.96.0.svn740723
* Wed Nov 21 2007 stbinner@suse.de
- update to 3.96.0.svn738446
* Sun Nov 18 2007 dmueller@suse.de
- update to 3.95.0.svn738428
* Fri Nov 16 2007 dmueller@suse.de
- update to 3.95.0.svn737589
* Thu Nov  1 2007 dmueller@suse.de
- update to 3.95.0.svn731662
* Sun Oct 21 2007 dmueller@suse.de
- file list fixes
* Sat Oct 20 2007 stbinner@suse.de
- update to 3.94.0.svn727335
* Tue Oct 16 2007 dmueller@suse.de
- update to 3.94.0 snapshot
* Tue Oct  2 2007 stbinner@suse.de
- update to 3.93.0.svn720130
* Wed Sep 26 2007 stbinner@suse.de
- update to 3.93.0.svn717257
* Thu Sep 13 2007 stbinner@suse.de
- update to 3.93.0.svn712063
* Sat Sep  1 2007 stbinner@suse.de
- update to 3.92.0.svn706334
* Thu Aug 23 2007 stbinner@suse.de
- update to 3.92.0.svn703920
* Sat Aug 18 2007 stbinner@suse.de
- update to 3.92.0.svn701362
* Thu Aug  9 2007 stbinner@suse.de
- update to 3.92.0.svn697375
* Mon Aug  6 2007 stbinner@suse.de
- fix build on x86_64
* Sun Jul 29 2007 stbinner@suse.de
- update to 3.92.0.svn693137
* Thu Jul 12 2007 stbinner@suse.de
- update to 3.91.0.svn685975
* Sat Jun 23 2007 stbinner@suse.de
- update to 3.90.1.svn678599
* Fri Jun  8 2007 stbinner@suse.de
- update to 3.90.1.svn670093
* Fri Jun  1 2007 coolo@suse.de
- simplify spec file by using macros from kde4-filesystem
* Mon May 28 2007 dmueller@suse.de
- update to 3.90.1.svn668149
* Fri May 25 2007 stbinner@suse.de
- initial package in abuild
